Subject: [PATCH 33/41] gnu: rust-rbw: adding rust-pkcs8-0.7

From: Nicolas Graves <[email-masked]>
Date: Fri, 07 Jan 2022 15:24:54 +0100

>From 5673762c0961c192b37c1df310b96f2a84d7c97c Mon Sep 17 00:00:00 2001
From: Nicolas Graves <[email-masked]>
Date: Fri, 7 Jan 2022 13:20:37 +0100
Subject: [PATCH 34/42] rust-rbw dependencies : adding rust-pkcs8-0.7

---
 gnu/packages/crates-io.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9eb214a58b..0bc36dd41d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -38570,6 +38570,38 @@ (define-public rust-pkcs5-0.3
 Password-Based Cryptography Specification Version 2.1 (RFC 8018)")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-pkcs8-0.7
+  (package
+    (name "rust-pkcs8")
+    (version "0.7.6")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "pkcs8" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0iq46p6fa2b8xy6pj52zpmdy8ya3fg31dj4rc19x1fi69nvgjgpf"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build?
+        #t
+        #:cargo-inputs
+        (("rust-der" ,rust-der-0.4)
+         ("rust-pem-rfc7468" ,rust-pem-rfc7468-0.2)
+         ("rust-pkcs1" ,rust-pkcs1-0.2)
+         ("rust-pkcs5" ,rust-pkcs5-0.3)
+         ("rust-rand-core" ,rust-rand-core-0.6)
+         ("rust-spki" ,rust-spki-0.4)
+         ("rust-zeroize" ,rust-zeroize-1.4))))
+    (home-page "https://github.com/RustCrypto/formats/tree/master/pkcs8")
+    (synopsis
+      "Implementation of Public-Key Cryptography Standards (PKCS) #8")
+    (description
+      "Pure Rust implementation of Public-Key Cryptography Standards (PKCS) #8:
+Private-Key Information Syntax Specification (RFC 5208), with additional support
+for PKCS#8v2 asymmetric key packages (RFC 5958)")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-pkg-config-0.3
   (package
     (name "rust-pkg-config")
-- 
2.34.0